Get allocation - Fabric

Get allocation

cURL

curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response (Success)

{
  "allocationId": "62ff5c0bec0aed3c86202c32",
  "parentAllocationId": "62ff5c0bec0aed3c86202c32",
  "locationNum": "1234B",
  "items": [
    {
      "itemId": "100064",
      "sku": "123k4h123k",
      "quantity": 3,
      "allocationLineNumber": 3,
      "orderLineId": "134fqfaa532qrf",
      "orderId": "123k4h123k",
      "orderDate": "2022-08-01T18:03:28.483971941Z",
      "estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
      "parentAllocationLineNumber": 3,
      "reallocationRequestId": "123k4h123k",
      "shippedQuantity": 1,
      "scratchQuantity": 1,
      "scratchedReasonCode": "Scratched during shipment",
      "reshipReasonCode": "Reshipping during shipment",
      "reallocationReasonCode": "Reallocating due to unavailability of location number",
      "channelId": "12",
      "segment": null,
      "vendorId": "56",
      "title": "Demo",
      "weight": 5.5,
      "cost": 500.2,
      "price": 50.2,
      "itemStatus": "ALLOCATED",
      "attributes": {},
      "uom": "KG"
    }
  ],
  "version": 2,
  "allocationRequestId": "62ff5c0bec0aed3c86202c32",
  "allocationNum": "xxyyzz12345",
  "sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
  "allocationDate": "2022-08-01T18:03:28.483971941Z",
  "updatedAt": "2022-08-01T20:03:28.483971941Z",
  "type": "ALLOCATED",
  "previousAllocationLocationNum": 410,
  "poNumber": "1125",
  "itemsType": "WEB_SHIP",
  "orderSubType": "BORDERFREE",
  "vendorId": "56",
  "shipDate": null,
  "shipType": "SHIP_TO_ADDRESS",
  "shipMethod": "Overnight Delivery",
  "shipToId": "98ff5c0bec0aed3c86202c32",
  "statusCode": "PENDING_PICK",
  "locationType": "1234B",
  "shipToAddress": {},
  "recipient": [
    {
      "name": {
        "first": "John",
        "middle": "Middle",
        "last": "Doe"
      },
      "email": "demo@xyz.inc",
      "phone": {
        "number": "55555555555",
        "type": "MOBILE"
      },
      "pickupType": "Primary"
    }
  ],
  "auditLogs": [
    {
      "lineItemId": "4",
      "auditId": "62272e917b12209e68751d94",
      "auditType": "UPDATE",
      "employeeId": "62272e917b12209e68751d94",
      "auditTimestamp": "2022-05-12T09:24:54.804Z",
      "source": "POS",
      "reasonCode": "POS",
      "subReasonCode": "POS",
      "policyCode": "POS",
      "note": "Note",
      "lineItemNumber": 1,
      "sku": "F5F",
      "quantity": 1,
      "amount": 2.4,
      "paymentToken": {
        "token": "pi_34tr6787rt",
        "paymentType": "VISA"
      },
      "success": true,
      "paymentResponse": {},
      "updatedFields": [
        {
          "fieldName": "UOM",
          "fieldOriginalValue": "PK"
        }
      ],
      "attributes": {}
    }
  ]
}

Example Response (Error)

{
  "message": "Allocation details are not available for this allocation Id"
}
{
  "message": "Internal Server Error"
}

Authorizations

Headers